summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRobert Gerus <arachnist@i.am-a.cat>2015-04-25 00:42:13 +0200
committerRobert Gerus <arachnist@i.am-a.cat>2015-04-25 00:42:13 +0200
commitb1ffdc19d4612974b13b68e8abaf63a422815525 (patch)
treecd3857ff134576e96a840bf7dc4f99448dd357ce
parentc24b82d6f6953953549993ba2353ef6dd3315e15 (diff)
downloadgentoo-overlay-b1ffdc19d4612974b13b68e8abaf63a422815525.tar.gz
gentoo-overlay-b1ffdc19d4612974b13b68e8abaf63a422815525.tar.bz2
gentoo-overlay-b1ffdc19d4612974b13b68e8abaf63a422815525.tar.xz
gentoo-overlay-b1ffdc19d4612974b13b68e8abaf63a422815525.zip
Import dev-util/cmocka and fix it for gcc-5.1
-rw-r--r--dev-util/cmocka/Manifest3
-rw-r--r--dev-util/cmocka/cmocka-0.4.1.ebuild50
-rw-r--r--dev-util/cmocka/files/cmocka-0.4.1-gcc5.patch17
-rw-r--r--profiles/categories1
4 files changed, 71 insertions, 0 deletions
diff --git a/dev-util/cmocka/Manifest b/dev-util/cmocka/Manifest
new file mode 100644
index 0000000..c333fe6
--- /dev/null
+++ b/dev-util/cmocka/Manifest
@@ -0,0 +1,3 @@
+AUX cmocka-0.4.1-gcc5.patch 563 SHA256 b1d5f317fb8649709790f96374c639aab25c9d1591c1e5f35852d6e51647c727 SHA512 fd84abc86c2ca44de00485d79fa88e7617e8e81f06fb60213deebd8a60cf66aa2c1ebffe6e02af423ad4748ee4f587efddfe251a6c369c7983dc5de269a3f0b4 WHIRLPOOL 3d04923efc0945b7500d979915a21229728b3f1c5108864914ebb799fd3b6877ad2216f6bfd4608d9339b4b768b3f11dad06f65af34a3388633fd3de8e33b41f
+DIST cmocka-0.4.1.tar.xz 68688 SHA256 5bba53c108a693d1cad33a2edd2ee36b0cb7ea0d9b1b94b608784d41f7fec803 SHA512 355334dbdfcda88d37bd2c60a9e714567632e481423fc45627f72a2fe13e2498152c61ad67c83da3cff7843e3e64c6bd4b806240ab714a2420c974a98a7fed96 WHIRLPOOL 52d7b51d3ae2716f0e21a7763678e3755024eba4734f44c0f719979887efa019e0d55b91c68670ab59eee6487c5d5a28c509fee472e92bcf9591210a3952f86a
+EBUILD cmocka-0.4.1.ebuild 1252 SHA256 2c4fadc3203b93a23361421f94567ee23bf40ba738592cc7bfdfed078f42c03b SHA512 0ce1c086d45e791def7bacb8053ca6a0667a6bddeac11ea853cc5fdee60a9fc3d20459813f6afbe672b68fa49e225d73e71011b879362cd85774633a2fe8ee0e WHIRLPOOL d3b820bbd3cab13474676d33e0dd942568313a0a014a0b1a7e926168b6895d5d18954833f005143848fd60378e01eb81db4919310316b61a531cc87bc796b052
diff --git a/dev-util/cmocka/cmocka-0.4.1.ebuild b/dev-util/cmocka/cmocka-0.4.1.ebuild
new file mode 100644
index 0000000..3b4c856
--- /dev/null
+++ b/dev-util/cmocka/cmocka-0.4.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/cmocka/cmocka-0.4.1.ebuild,v 1.4 2015/04/02 16:21:40 jer Exp $
+
+EAPI=5
+
+inherit cmake-multilib
+
+DESCRIPTION="A unit testing framework for C"
+HOMEPAGE="http://cmocka.org/"
+SRC_URI="https://open.cryptomilk.org/attachments/download/42/${P}.tar.xz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm hppa ~ppc ~ppc64 ~s390 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc static-libs test"
+
+DEPEND="
+ doc? ( app-doc/doxygen[latex] )
+"
+RDEPEND=""
+
+DOCS=( AUTHORS ChangeLog README )
+
+PATCHES=(
+ "${FILESDIR}"/${P}-gcc5.patch
+)
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_with static-libs STATIC_LIB)
+ $(cmake-utils_use test UNIT_TESTING)
+ $(multilib_is_native_abi && cmake-utils_use_find_package doc Doxygen \
+ || echo -DCMAKE_DISABLE_FIND_PACKAGE_Doxygen=ON)
+ )
+ cmake-utils_src_configure
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi && use doc; then
+ pushd doc || die
+ doxygen Doxyfile || die
+ rm -f html/*.md5 latex/*.md5 latex/Manifest man/man3/_* || die
+ dohtml html/*
+ dodoc latex/*
+ doman man/man3/*.3
+ popd || die
+ fi
+ cmake-utils_src_install
+}
diff --git a/dev-util/cmocka/files/cmocka-0.4.1-gcc5.patch b/dev-util/cmocka/files/cmocka-0.4.1-gcc5.patch
new file mode 100644
index 0000000..8573b49
--- /dev/null
+++ b/dev-util/cmocka/files/cmocka-0.4.1-gcc5.patch
@@ -0,0 +1,17 @@
+diff -ur cmocka-0.4.1.orig/include/cmocka.h cmocka-0.4.1/include/cmocka.h
+--- cmocka-0.4.1.orig/include/cmocka.h 2014-05-20 11:03:36.000000000 +0200
++++ cmocka-0.4.1/include/cmocka.h 2015-04-25 00:32:45.199424822 +0200
+@@ -49,7 +49,11 @@
+
+ /* For those who are used to __func__ from gcc. */
+ #ifndef __func__
+-#define __func__ __FUNCTION__
++# if __GNUC__ >= 5
++# define __func__ __extension__ __FUNCTION__
++# else
++# define __func__ __FUNCTION__
++# endif
+ #endif
+
+ /* GCC have printf type attribute check. */
+Only in cmocka-0.4.1.orig/include: .cmocka.h.swp
diff --git a/profiles/categories b/profiles/categories
index fed40fb..bbf3bf2 100644
--- a/profiles/categories
+++ b/profiles/categories
@@ -1,5 +1,6 @@
dev-libs
dev-ruby
+dev-util
games-engines
media-sound
net-im